Dynamics 365 for Outlook for Dynamics 365 (online) version 9.0

Applies to: Dynamics CRM

Symptom


After updating a Dynamics 365 instance (organization) to version 9.0, the Dynamics 365 for Outlook client is unable to connect. You may see the following error message:

"There is a problem communicating with the Microsoft Dynamics 365 server"

if you expand the Details section of the error, the following additional details are shown:

"Metadata contains a reference that cannot be resolved: 'https://<yourD365URL>api.crm.dynamics.com/XRMServices/2011/Organization.svc?wsdl&sdkversion=8.2'.    at System.ServiceModel.Description.MetadataExchangeClient.MetadataRetriever.Retrieve(TimeoutHelper timeoutHelper)
   at System.ServiceModel.Description.MetadataExchangeClient.ResolveNext(ResolveCallState resolveCallState)
   ..."

Cause


A Dynamics 365 (online) instance on version 9.0 requires TLS 1.2.

Resolution


Microsoft has released Dynamics 365 for Microsoft Outlook version 9.0. This version includes support for Transport Layer Security (TLS) 1.2.

Version 9.0 of Dynamics 365 for Outlook is available at the link below and is the recommended client to use for connecting to 9.0 instances:

https://www.microsoft.com/download/details.aspx?id=56972  

More Information


If you are upgrading your Dynamics 365 organization from version 8.x to version 9.x, you cannot install version 9 of Dynamics 365 for Outlook prior to the upgrade of your Dynamics 365 organization. Dynamics 365 for Outlook is supported being one major version earlier than your Dynamics 365 instance (ex. 8.x client connected to 9.x instance) but the version of the client cannot be a higher major version than your Dynamics 365 instance (ex. 9.x client connecting to 8.x instance). To successfully connect a version 8.x client to a version 9.x instance, the following update is required because of the new TLS requirement:

https://www.microsoft.com/download/details.aspx?id=56327